slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGGetOptionsPrefix

Gets the prefix used for searching for all RG options in the database.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGGetOptionsPrefix(RG rg,const char *prefix[])

Not Collective

### Input Parameters

| rg | - the region context

### Output Parameters

| prefix | - pointer to the prefix string used is returned

### Note

On the Fortran side, the user should pass in a string 'prefix' of sufficient length to hold the prefix.

### See Also

RGSetOptionsPrefix(), RGAppendOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/rg/interface/rgbasic.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages